List customer invoices

List customer invoices and credit notes

This endpoint requires one of the following scopes: customer_invoices:all, customer_invoices:readonly

Query Params
boolean
Defaults to true

If you are already using the X-Use-2026-API-Changes header, you can ignore this parameter.

The Pennylane API is introducing important changes, which will be rolled out in three phases: preview, sunset and cleanup.

For new user, please use this parameter with true value to opt in directly to the new version of the API.

Preview phase: From January 14th to April 7th 2026. Opt in by setting this attribute to true to test and migrate to the new behavior.

Sunset phase: From April 8th to June 30th 2026. The new behavior becomes the default. Set this attribute to false if you need additional time to migrate.

Cleanup phase: Starting July 1st 2026 The old behavior will no longer be available. You must have migrated by this point.

For more details, see our API documentation https://pennylane.readme.io/docs/2026-api-changes-guide for migration instructions.

string

Cursor for pagination. Use this to fetch the next set of results. The cursor is an opaque string returned in the previous response's metadata. Leave empty for the first request.

integer
1 to 100

Number of items to return per request. Defaults to 20 if not specified. Must be between 1 and 100.

string

You can choose to filter items on specific fields. Available fields and values:

  • id, date, customer_id, billing_subscription_id, quote_id: lt, lteq, gt, gteq, eq, not_eq, in, not_in
  • invoice_number: eq, not_eq, in, not_in
  • draft: eq (boolean)
  • credit_note: eq (boolean)
  • external_reference: eq
  • category_id: in
string
Defaults to -id

You can choose to sort items on specific attributes Sort field may be prefixed with - for descending order. Example : id will sort by ascending order, -id will sort by descending order. Available fields : id, date

string

You can choose to include additional related resources in the response. When specified, related resources will be returned in a separate included section. Available includes: invoice_lines

⚠️ Warning: This feature is currently experimental and may change or be removed in future releases. We recommend using it with caution in production environments.

Responses

Language
Credentials
OAuth2
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json